Summary: The Maintenance Operations Protocol (MOP) loader daemon.
Name: mopd-linux
Version: 2.5.3
Release: 4
Copyright: BSD
Group: System Environment/Daemons
Source: ftp://ftp.stacken.kth.se/pub/OS/NetBSD/mopd/mopd-linux-2.5.3.tar.gz
Source1: mopd.init
Patch: mopd-linux-string.patch
BuildRoot: /var/tmp/mopd-linux-root

%description
The Maintenance Operations Protocol (MOP) loader daemon services MOP
load requests on one or all Ethernet interfaces.  Normally, a filename
(uppercase and ending in .SYS) is included in the load request; if no
filename is given, mopd must know what image to load.  When it
receives a request, mopd checks to see if the file exists in
/tftpboot/mop.  If the filename isn't given, the Ethernet address of
the target is used as a filename (e.g., 08002b09f4de.SYS, which might
be a soft link to another file).  Mopd supports files in a.out format
and a few Digital formats.

%prep
%setup -q -n mopd-linux
%patch0 -p1

%build
(cd mopchk && make)
(cd mopd && make)
(cd mopprobe && make)
(cd moptrace && make)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/bin
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/man/man1
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/man/man8
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/sbin
mkdir -p -m 755 $RPM_BUILD_ROOT/tftpboot/mop

install -m 755 $RPM_BUILD_DIR/mopd-linux/mopchk/mopchk $RPM_BUILD_ROOT/usr/bin/mopchk
install -m 755 $RPM_BUILD_DIR/mopd-linux/mopd/mopd $RPM_BUILD_ROOT/usr/sbin/mopd
install -m 755 $RPM_BUILD_DIR/mopd-linux/mopprobe/mopprobe $RPM_BUILD_ROOT/usr/bin/mopprobe
install -m 755 $RPM_BUILD_DIR/mopd-linux/moptrace/moptrace $RPM_BUILD_ROOT/usr/bin/moptrace

install -m 644 $RPM_BUILD_DIR/mopd-linux/mopchk/mopchk.1 $RPM_BUILD_ROOT/usr/man/man1/mopchk.1
install -m 644 $RPM_BUILD_DIR/mopd-linux/mopd/mopd.8 $RPM_BUILD_ROOT/usr/man/man8/mopd.8
install -m 644 $RPM_BUILD_DIR/mopd-linux/mopprobe/mopprobe.1 $RPM_BUILD_ROOT/usr/man/man1/mopprobe.1
install -m 644 $RPM_BUILD_DIR/mopd-linux/moptrace/moptrace.1 $RPM_BUILD_ROOT/usr/man/man1/moptrace.1

install -m 755 $RPM_SOURCE_DIR/mopd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/mopd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add mopd

%postun
#/sbin/chkconfig --del mopd 
rm -f `ls /etc/rc.d/*/*mopd*`

%files
%doc %attr(644, root, root) READ_THIS_FIRST
%attr(-, root, root) /tftpboot/mop
%attr(-, root, root) /usr/bin/mopchk
%attr(-, root, root) /usr/sbin/mopd
%attr(-, root, root) /usr/bin/mopprobe
%attr(-, root, root) /usr/bin/moptrace
%attr(-, root, root) /usr/man/man1/mopchk.1
%attr(-, root, root) /usr/man/man8/mopd.8
%attr(-, root, root) /usr/man/man1/mopprobe.1
%attr(-, root, root) /usr/man/man1/moptrace.1
%config %attr(-, root, root) /etc/rc.d/init.d/mopd

%changelog
* Wed Aug 18 1999 Tim Powers <timp@redhat.com>
- fixed problem with stale links on uninstall, chkconfig --del was failing

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- rebuilt package for 6.1

* Sat Apr 17 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Jan 05 1999 Matthew Economou <xenophon@irtnog.org>
- added %attr flags to permit users without root access to build this package

* Sat Jan 02 1999 Matthew Economou <xenophon@irtnog.org>
- initial build
